#ifndef coder_lib_h__
#define coder_lib_h__


#include "stdint.h"





// 返回1则shell_code有效
int check_shell_code(const char *shell_code);


// 管壳码转uid码
int coder_shell_to_uid(const char *year,const char *shell_code,char *uid_code);

// uid码转存储码
int coder_uid_to_save(const char *uid_code,uint8_t *save_code);

// 存储码转uid
int coder_save_to_uid(const uint8_t *save_code,char *uid_code);

// uid码转管壳码
int coder_uid_to_shell(const char *uid_code,char *shell_code);



// JQ管壳码转UID
int coder_shell_to_uid_jq(const char *year,const char *shell_code,char *uid_code);







#endif

